Bug 211746 - gpart missing large file support
gpart missing large file support
Product: Fedora
Classification: Fedora
Component: gpart (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Depends On:
  Show dependency treegraph
Reported: 2006-10-21 14:03 EDT by Luciano Rocha
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.1h-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-02 10:38:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Luciano Rocha 2006-10-21 14:03:14 EDT
Description of problem:

gpart can't operate on large hard disk images.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. ls -l hdd.img
-rw-r--r-- 1 luciano luciano 40007761920 Oct 21 12:42 hdd.img
2. gpart -n s -f -g -l disco.part.run2 -v hdd.img

*** Fatal error: open(disco_doutoramento_fulano.img): File too large.

3. strace !!
open("hdd.img", O_RDONLY) = -1 EFBIG (File too large)

Actual results:
gpart fails to open hard disk image

Additional info:
To make it work I changed %build in gpart.spec to:
make CC='gcc -D_FILE_OFFSET_BITS=64'
Comment 1 David Cantrell 2006-10-22 15:36:31 EDT
Is this for FC5 or FC6?  The package version indicated is for rawhide.  I just
want to know what release I should build an update for.
Comment 2 Luciano Rocha 2006-10-23 11:53:50 EDT
Both. I use FC5, but when compiling sources I usually get them from rawhide, so
I reported for the most recent version available for Fedora that I know had
problems, and for the latest Fedora Core (AFAIK, FC6 isn't out yet).

# rpm -e gpart
# yum -y install gpart
Installed: gpart.i386 0:0.1h-1.2
# strace gpart hdd.img
open("hdd.img", O_RDONLY) = -1 EFBIG (File too large)
Comment 3 David Cantrell 2006-10-23 17:48:03 EDT
I've built updates for FC-5 and FC-6 as well as rawhide.  These will get pushed
to the testing pool for updates first, then to final pending a report from you.
 Please post here as to whether or not the update works for you.

Comment 4 Luciano Rocha 2006-10-25 06:52:06 EDT
The gpart on updates/testing for FC5 works correctly. I'll be checking FC6 as
soon as I finish installing it.
Comment 5 Luciano Rocha 2006-10-25 10:59:14 EDT
The one on updates/testing for FC6 also works correctly. Thanks.
Comment 6 David Cantrell 2006-10-25 11:02:54 EDT
Thanks.  I've moved the updates from testing to final for FC5 and FC6.

Note You need to log in before you can comment on or make changes to this bug.